<?php
//---------------------------------------------------------------------
// [confeito] (c)2024/12/31 cxx05610(zenmaido)
// 個人の範囲内で使用できますが、商用利用、再配布はご遠慮ください
//---------------------------------------------------------------------

date_default_timezone_set('Asia/Tokyo');
$name="";
$text="";
$answer="please tell me your <b>NAME</b>!";

if($_SERVER['REQUEST_METHOD']==='POST'){
	$name=$_POST['name'];
	$name=htmlspecialchars($name,ENT_QUOTES,'UTF-8');
	$text=$_POST['text'];
	$text=htmlspecialchars($text,ENT_QUOTES,'UTF-8');
	if($name and $text){
		$answer=doce($name,$text);
	}
}

if(mb_strlen($name)>0){
	$type='hidden';
	$textarea=TRUE;
}else{
	$type='text';
	$textarea=FALSE;
}

function doce($name,$text){
	$answer="";
	$list=array();
	$dics=file_get_contents('./dic1.json');
	$dics=json_decode($dics,true);
	foreach($dics as $k=>$dic){
		if(preg_match('/'.$dic['kw'].'/i',$text)){
			array_unshift($list,$dic['res']);
		}
	}
	if(count($list)>0){
		$answer=$list[array_rand($list)];
	}else{
		$dics=file_get_contents('./dic2.json');
		$dics=json_decode($dics,true);
		$answer=$dics[array_rand($dics)]['res'];
	}
	$ruby_tag=array(
		'name'=>$name,
		'&lt;ruby&gt;'=>'<ruby>',
		'&lt;/ruby&gt;'=>'</ruby>',
		'&lt;rt&gt;'=>'<rt>',
		'&lt;/rt&gt;'=>'</rt>'
	);
	$answer=strtr($answer,$ruby_tag);
	return $answer;
}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
	<meta charset="UTF-8">
	<title>confeito</title>
</head>
<body>

<header>
<h1>confeito</h1>
</header>

<main>
<section>
<article>
<p><?php echo $answer; ?></p>
</article>
</setion>

<section>
<article>
<form method="POST" action="./confeito.php">
	<ul>
	<li><?php echo $name; ?><input type="<?php echo $type; ?>" name="name" placeholder="name" value="<?php echo $name; ?>"></li>
	<?php
		if($textarea){
			echo '<li><textarea name="text" placeholder="'.$text.'"></textarea></li>';
		}else{
			$time=date('H',time());
			if($time>=4 and $time<=10){
				$hello="おはよう";
			}elseif($time>=11 and $time<=18){
				$hello="こんにちは";
			}elseif($time>=19 or $time<=3){
				$hello="こんばんは";
			}
			echo '<input type="hidden" name="text" value="'.$hello.'">';
		}
	?>
	<li><button type="submit">talk</button></li>
	<li><a href="./confeito.php">reset</a></li>
	</ul>
</form>
</article>
</section>

</main>
<footer>
<address>[<a href="../index.php">confeito</a>] &copy;2024 zenmaido</address>
</footer>
</body>
</html>
